package model

import kotlinx.serialization.Serializable

@Serializable
data class Card (
    val id: Int,                                // 卡牌id
    val masterCharacterId: Int,                 // 角色id
    val name: String,                           // 卡牌名称
    val type: Int,                              // 类型 1:甜美 2:清纯 3:帅气
    val rarity: Int,                            // 稀有性 1:UR 2:SR 3:R
    val hp: Int,                                // 血量
    val smile: Int,                             // 甜美值
    val cool: Int,                              // 清纯值
    val pure: Int,                              // 帅气值
    var illustId: String,                       // 通常图片文件名
    var evolveIllustId: String,                 // 觉醒图片文件名
    var url: String? = null,                    // gamech url
)
